#import pytest
from pdnsapi import PdnsRestAdapter
import dns.resolver
import dns.nameserver
import datetime


global api
global domain
global resolv


def setup_api():
    global api, domain

    server = "localhost:8081"
    apikey = "pdns-supersecret"
    api = PdnsRestAdapter(server, apikey)
    domain = 'test1.nhn.no'
    assert api is not None

def setup_resolver():
    global resolv

    resolv = dns.resolver.Resolver()
    assert resolv is not None
    resolv.nameservers = [dns.nameserver.Do53Nameserver('127.0.0.1', 10053)]
    answer = resolv.resolve(domain, 'SOA')
    assert answer is not None

def test_mid_get_record():
    global api

    setup_api()
    output = api.get_record('test.test1.nhn.no', 'TXT')
    print(f"{output=}")
    assert type(output) is dict
    assert output['name'] == 'test.test1.nhn.no.'
    assert output['type'] == 'TXT'
